Package com.orchestranetworks.instance

# Interface RepositoryStatus

public interface RepositoryStatus
Defines the status of a repository regarding the ownership of the database.

See Also:
  - Repository ownership

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static interface`
  `RepositoryStatus.State`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getHeartBeatCount()`
  Returns the number of times that the repository has made contact with the database since associating with it.
  `RepositoryStatus.State`
  `getState()`
  Returns the state of the repository regarding the registration of ownership.
  `String`
  `getUserInformation()`
  Returns a String representation of the end-user, detailing the status of the repository regarding its registration.
  `void`
  `wakeFromStandby(String aFailoverStandbyActivationKey)`
  This method initializes the repository from standby mode.

- ## Method Details

  - ### wakeFromStandby

    void wakeFromStandby(String aFailoverStandbyActivationKey)
    This method initializes the repository from standby mode.

    Once the repository is ready, it finalizes the initialization of EBX®, including the registration of modules specific-resources .

    Caution: this method should only be invoked from the appropriate infrastructure components, intended for failover management.

    Parameters:
      `aFailoverStandbyActivationKey` - activation key, it must correspond to the value of property `ebx.repository.ownership.activationkey`.
    See Also:
      - `ModuleRegistration.handleRepositoryStartup(ModuleContextOnRepositoryStartup)`

  - ### getState

    RepositoryStatus.State getState()
    Returns the state of the repository regarding the registration of ownership.

  - ### getHeartBeatCount

    int getHeartBeatCount()
    Returns the number of times that the repository has made contact with the database since associating with it.

  - ### getUserInformation

    String getUserInformation()
    Returns a String representation of the end-user, detailing the status of the repository regarding its registration.

    The format may be subject to modifications without explicit warning.